StandardMapMouseInterpreter.GeometryOfInterest (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.event
Class StandardMapMouseInterpreter.GeometryOfInterest

    java.lang.Object
      com.bbn.openmap.omGraphics.event.StandardMapMouseInterpreter.GeometryOfInterest

Enclosing class:
  StandardMapMouseInterpreter

    public class StandardMapMouseInterpreter.GeometryOfInterest

extends java.lang.Object

Helper class used to keep track of OMGraphics of interest. Interest means that a MouseEvent that occurred over an OMGraphic that combined with another MouseEvent, may be interpreted as a significant event.

Constructor Summary
`StandardMapMouseInterpreter.GeometryOfInterest(OMGraphic geom, java.awt.event.MouseEvent me)` Create a Geometry of Interest with the OMGraphic and the first mouse event.

Method Summary
`boolean` | `appliesTo(OMGraphic geom)` A check to see if an OMGraphic is the same as the one of interest.
`boolean` | `appliesTo(OMGraphic geom, java.awt.event.MouseEvent me)` A check to see if a mouse event that is occurring over an OMGraphic is infact occurring over the one of interest, and with the same mouse button.
`int` | `getButton()` Return the button that caused the interest.
`protected int` | `getButton(java.awt.event.MouseEvent me)` Utility method to get around MouseEvent.getButton 1.4 requirement.
`OMGraphic` | `getGeometry()` Return the OMGraphic of interest.
`boolean` | `isLeftButton()` Return if the current button is the left one.
`boolean` | `sameButton(java.awt.event.MouseEvent me)` A check to see if the current mouse event concerns the same mouse button as the original.
`void` | `setLeftButton(boolean b)` Called when the popup trigger is known to have been triggered and a click interest has been set by it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardMapMouseInterpreter.GeometryOfInterest

    public StandardMapMouseInterpreter.GeometryOfInterest(OMGraphic geom,
                                                          java.awt.event.MouseEvent me)

  Create a Geometry of Interest with the OMGraphic and the first mouse event.

Method Detail

### appliesTo

    public boolean appliesTo(OMGraphic geom)

  A check to see if an OMGraphic is the same as the one of interest.

### appliesTo

    public boolean appliesTo(OMGraphic geom,
                             java.awt.event.MouseEvent me)

  A check to see if a mouse event that is occurring over an OMGraphic is infact occurring over the one of interest, and with the same mouse button.

### sameButton

    public boolean sameButton(java.awt.event.MouseEvent me)

  A check to see if the current mouse event concerns the same mouse button as the original.

### getGeometry

    public OMGraphic getGeometry()

  Return the OMGraphic of interest.

### getButton

    public int getButton()

  Return the button that caused the interest.

### getButton

    protected int getButton(java.awt.event.MouseEvent me)

  Utility method to get around MouseEvent.getButton 1.4 requirement.

### isLeftButton

    public boolean isLeftButton()

  Return if the current button is the left one.

### setLeftButton

    public void setLeftButton(boolean b)

  Called when the popup trigger is known to have been triggered and a click interest has been set by it.

  Parameters:
    `b` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details